---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:    '&IDC_ReturnInstanceSetMethodBinding;'
    name:      Return Instance Set Method Binding
    index:     87
    customTagName: returnInstanceSetMethodBinding
    superclasses:
    - instance: '&IDC_MethodBinding;'
    - instance: '&IDC_ExecutableReturningInstanceSet;'
    instancesLabeledByRAMB: '&IDMB_Method_Binding__get__Executes_Method_and_Method_Type_RSMB;'
    defaultTask: '&IDI_Task_ViewReturnInstanceSetMethodBinding;'
    relatedTasks:
    - instance: '&IDI_Task_ViewReturnInstanceSetMethodBinding;'
    - instance: '&IDI_Task_EditReturnInstanceSetMethodBinding;'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'Return Instance Set Method Binding'
    relationships: # FIXME: remove this when we can properly inherit definitions in zq-python
    - instance: '&IDR_Method_Binding__executes__Method;'
      customTagName: 'executesMethod'
    - instance: '&IDR_Method_Binding__has__Parameter_Assignment;'
      customTagName: 'parameterAssignments'
      customTagNameCreatesInstanceOf: '&IDC_ParameterAssignment;'
